Announcement

Collapse
No announcement yet.

to run Sygic Truck Navigation, do i need,,,,

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • to run Sygic Truck Navigation, do i need,,,,

    Hi guys

    i got this version --> Sygic_Truck_7.71_7252_D

    now, im confused,,,,

    im looking for USA + CANADA maps but cant find them,,,

    those available are only for car navigation i believe,,,

    So, can someone point me to what i need to get in order

    to run Sygic_Truck_7.71_7252_D in North America plz?



    thanx alot !!!


    Last edited by eskro; 29th August 2010, 09:05.

  • #2
    Re: to run Sygic Truck Navigation, do i need,,,,

    Originally posted by eskro View Post
    Hi guys

    i got this version --> Sygic_Truck_7.71_7252_D

    now, im confused,,,,

    im looking for USA + CANADA maps but cant find them,,,

    those available are only for car navigation i believe,,,

    So, can someone point me to what i need to get in order

    to run Sygic_Truck_7.71_7252_D in North America plz?



    thanx alot !!!


    The new maps are not for sygic truck version - only 2009.8 maps has truck features.
    You had to use North America maps for USA and Canada together.
    New trucks available from appstore only.

    Comment


    • #3
      Re: to run Sygic Truck Navigation, do i need,,,,

      appstore.. hmm,,, maybe they'll be shared someday :P

      Comment

      Working...
      X